Package org.flowable.cmmn.api.runtime

# Interface SignalEventListenerInstanceQuery

All Superinterfaces:
  `Query<SignalEventListenerInstanceQuery,SignalEventListenerInstance>`

public interface SignalEventListenerInstanceQuery extends Query<SignalEventListenerInstanceQuery,SignalEventListenerInstance>

Author:
  Tijs Rademakers

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SignalEventListenerInstanceQuery`
  `caseDefinitionId(String caseDefinitionId)`
  `SignalEventListenerInstanceQuery`
  `caseInstanceId(String caseInstanceId)`
  `SignalEventListenerInstanceQuery`
  `elementId(String elementId)`
  `SignalEventListenerInstanceQuery`
  `id(String id)`
  `SignalEventListenerInstanceQuery`
  `name(String name)`
  `SignalEventListenerInstanceQuery`
  `orderByName()`
  `SignalEventListenerInstanceQuery`
  `planItemDefinitionId(String planItemDefinitionId)`
  `SignalEventListenerInstanceQuery`
  `stageInstanceId(String stageInstanceId)`
  `SignalEventListenerInstanceQuery`
  `stateAvailable()`
  `SignalEventListenerInstanceQuery`
  `stateSuspended()`

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### id

    SignalEventListenerInstanceQuery id(String id)

  - ### caseInstanceId

    SignalEventListenerInstanceQuery caseInstanceId(String caseInstanceId)

  - ### caseDefinitionId

    SignalEventListenerInstanceQuery caseDefinitionId(String caseDefinitionId)

  - ### elementId

    SignalEventListenerInstanceQuery elementId(String elementId)

  - ### planItemDefinitionId

    SignalEventListenerInstanceQuery planItemDefinitionId(String planItemDefinitionId)

  - ### name

    SignalEventListenerInstanceQuery name(String name)

  - ### stageInstanceId

    SignalEventListenerInstanceQuery stageInstanceId(String stageInstanceId)

  - ### stateAvailable

    SignalEventListenerInstanceQuery stateAvailable()

  - ### stateSuspended

    SignalEventListenerInstanceQuery stateSuspended()

  - ### orderByName

    SignalEventListenerInstanceQuery orderByName()